using System;
using System.Collections;

namespace LLNet.Utils
{
	/// <summary>
	/// Summary description for EntityClasifications.
	/// </summary>
	public class EntityClasifications : IEnumerable
	{
		private ArrayList eclas;
		
		public EntityClasifications()
		{
			eclas = new ArrayList();
		}

		public int Add(string clasification)
		{
			return eclas.Add(clasification);
		}

		public void Clear()
		{
			eclas.Clear();
		}

		public void RemoveAt(int index)
		{
			eclas.RemoveAt(index);
		}

		public object Find(string clasification)
		{
			foreach(object cla in eclas)
			{
				if ((string)cla == clasification)
					return cla;
			}
			
			return null;
		}

		public int Count
		{
			get{return eclas.Count;}
		}

		#region IEnumerable Members

		public IEnumerator GetEnumerator()
		{
			return eclas.GetEnumerator();
		}

		#endregion
	}
}
